SDL_asprintf(3)

NAME
SDL_asprintf - This works exactly like asprintf() but doesn't require access to a C runtime.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_asprintf(char **strp, const char *fmt, ...);

DESCRIPTION
Functions identically to SDL_snprintf (), except it allocates a buffer large enough to hold the output string on behalf of the caller.

On success, this function returns the number of bytes (not characters) comprising the output string, not counting the null-terminator character, and sets strp to the newly-allocated string.

On error, this function returns a negative number, and the value of strp is undefined.

The returned string is owned by the caller, and should be passed to

SDL_free
 when no longer needed.

FUNCTION PARAMETERS

strp
    on output, is set to the new string. Must not be NULL.

fmt a printf-style format string. Must not be NULL.

... a list of values to be used with the format string.

RETURN VALUE
Returns the number of bytes in the newly-allocated string, not counting the null-terminator char, or a negative value on error.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.